org.eclipse.incquery.runtime.localsearch.planner.util

## Class CompilerHelper

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.planner.util.CompilerHelper

-     public class CompilerHelper
      extends java.lang.Object

  Helper methods for compiling SubPlans
  Author:
    Marton Bur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilerHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<PConstraint,java.util.Set<java.lang.Integer>>` | `cacheVariableBindings(SubPlan plan, java.util.Map<PVariable,java.lang.Integer> variableMappings, java.util.Set<java.lang.Integer> adornment)`
    `static java.util.List<POperation>` | `createOperationsList(SubPlan plan)` Extracts the operations from a SubPlan into a list of POperations in the order of execution
    `static java.util.Map<PVariable,java.lang.Integer>` | `createVariableMapping(SubPlan plan)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilerHelper

          public CompilerHelper()

  - ### Method Detail

    - #### createVariableMapping

          public static java.util.Map<PVariable,java.lang.Integer> createVariableMapping(SubPlan plan)

    - #### cacheVariableBindings

          public static java.util.Map<PConstraint,java.util.Set<java.lang.Integer>> cacheVariableBindings(SubPlan plan,
                                                                                                          java.util.Map<PVariable,java.lang.Integer> variableMappings,
                                                                                                          java.util.Set<java.lang.Integer> adornment)

    - #### createOperationsList

          public static java.util.List<POperation> createOperationsList(SubPlan plan)

      Extracts the operations from a SubPlan into a list of POperations in the order of execution
      Parameters:
        `plan` - the SubPlan from wich the POperations should be extracted
      Returns:
        list of POperations extracted from the `plan`